diff debian/mplayer.preinst @ 31833:c9f9a077d760

Add new debian packaging based on official distro packages
author siretart
date Tue, 03 Aug 2010 13:02:07 +0000
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/mplayer.preinst	Tue Aug 03 13:02:07 2010 +0000
@@ -0,0 +1,44 @@
+#!/bin/sh
+# preinst script
+#
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+    install)
+    ;;
+    upgrade)
+    if dpkg --compare-versions "$2" le "1.0~rc3+svn20090405-1"; then
+        md5=`md5sum /etc/mplayer/mplayer.conf | cut -d' ' -f1`
+	case "$md5" in
+	    9bdac8eb1184daa188d4829575ceafe8|\
+	    46f52a60c07ed788500056dd7ffd27b9)
+		echo "removing obsolete /etc/mplayer/mplayer.conf"
+		rm -f /etc/mplayer/mplayer.conf
+	esac
+    fi
+
+    ;;
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0